RabbitInfo Struct Reference

Rabbit stream cipher information. More...

Inheritance diagram for RabbitInfo:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 16, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...

## Additional Inherited Members

Static Public Attributes inherited from FixedKeyLength< 16, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

Rabbit stream cipher information.

Since
  Crypto++ 8.0

Definition at line 29 of file rabbit.h.

The documentation for this struct was generated from the following file:

- rabbit.h